Bug 763821 - (GLUSTER-2089) Documentation bug in replace-brick options
Documentation bug in replace-brick options
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 12:41 EST by Eco
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eco 2010-11-11 12:41:12 EST
gluster help and gluster volume help do not show a commit option.

[root@edw-gc01 ~]# gluster help
...
volume replace-brick <VOLNAME> (<BRICK> <NEW-BRICK>) start|pause|abort|status - replace-brick operations
...

[root@edw-gc01 ~]# gluster volume help
...
volume replace-brick <VOLNAME> (<BRICK> <NEW-BRICK>) start|pause|abort|status - replace-brick operations
...

However, it is shown if you enter the command incorrectly:

[root@edw-gc01 ~]# gluster volume replace-brick help
Usage: volume replace-brick <VOLNAME> <BRICK> <NEW-BRICK> start|pause|abort|commit|status
Replacing brick from Volume help failed
Comment 1 Anand Avati 2010-12-14 19:42:13 EST
PATCH: http://patches.gluster.com/patch/5884 in master (cli: remove duplication of cmd help)

Note You need to log in before you can comment on or make changes to this bug.